请选择 进入手机版 | 继续访问电脑版
查看: 1113|回复: 3

旋转对象

[复制链接]
发表于 2012-10-14 13:17:02 | 显示全部楼层 |阅读模式
在ARX中可能需要像在AutoCAD中绘图时那样旋转、缩放、移动、镜像对象,下面的函数就能实现在二维平面上旋转对象的功能。


//旋转对象。eId:对象的ID号,angle:旋转角度(角度值)。
void CModify::Rotate(AcDbObjectId eId, AcGePoint3d ptBase, double angle)
{
AcGeMatrix3d xform;
AcGeVector3d axis(0, 0, 1); //给出当前的旋转平面

xform.setToRotation(angle * PI/180, axis, ptBase);

AcDbEntity *pE;
acdbOpenObject(pE, eId, AcDb::kForWrite, false);
pE->transformBy(xform);
pE->close();
}
 
  其它几种操作使用类似的方法。
回复

使用道具 举报

发表于 2015-4-3 12:26:32 | 显示全部楼层
谢谢您阿,我非常高兴











酷讯特价机票  机票查询 携程网  机票订购官网
回复 支持 反对

使用道具 举报

发表于 2016-12-22 10:35:15 | 显示全部楼层
好贴,一定不要放过,顶











佳句大全  勵志文章   愛情小語   勵志歌曲   名言警句   2016年12月22日 腦筋急轉彎題目和答案  
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册 用百度帐号登录

本版积分规则

Archiver|手机版|小黑屋|BimCad Inc. ( 京ICP备15064117号

GMT+8, 2017-4-30 16:54 , Processed in 0.131280 second(s), 22 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表